import { Component } from '@angular/core';

/*
 * Interface for sidebar-links
 */
declare interface RouteInfo {
  path: string;
  title: string;
  class: string;
}

/* define routes for sidebar-links */
export const ROUTES: RouteInfo[] = [
  {
    path: "/dashboard",
    title: "Dashboard",
    class: ""
  },
  {
    path: "/backlog",
    title: "Backlog",
    class: ""
  },
  {
    path: "/userstories",
    title: "Userstories",
    class: ""
  },
  {
    path: "/tasks",
    title: "Tasks",
    class: ""
  },
  {
    path: "/sprints",
    title: "Sprints",
    class: ""
  }
];


@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css'],
})

  /* function to add and load sidebar */
export class AppComponent {
  
  menuItems: any[];
  public sidebarColor: string = "blue";

  ngOnInit() {
    this.menuItems = ROUTES.filter(menuItem => menuItem);
  }
  isMobileMenu() {
    if (window.innerWidth > 991) {
      return false;
    }
    return true;
  }

  /* function to change sidebar color */
  changeSidebarColor(color){
    var sidebar = document.getElementsByClassName('sidebar')[0];
    var mainPanel = document.getElementsByClassName('main-panel')[0];

    this.sidebarColor = color;

    if(sidebar != undefined){
        sidebar.setAttribute('data',color);
    }
    if(mainPanel != undefined){
        mainPanel.setAttribute('data',color);
    }
  }

  /* function to change dashboard-color for darkmode and whitemode */
  changeDashboardColor(color){
    var body = document.getElementsByTagName('body')[0];
    if (body && color === 'white-content') {
      body.classList.add(color);
    } else if (body.classList.contains('white-content')) {
      body.classList.remove('white-content');
    }
  }
 
}
